/*************************************************************************
 *
 *  C-to-C Translator
 *
 *  Adapted from Clean ANSI C Parser
 *  Eric A. Brewer, Michael D. Noakes
 * 
 *************************************************************************/

#ifndef _INITIALIZER_H_
#define _INITIALIZER_H_

GLOBAL void SemCheckDeclInit(Node *decl, Bool blockp);
GLOBAL Bool IsInitializer(Node *node);
GLOBAL Node *InitializerCopy(Node *node);
GLOBAL int InitializerLength(Node *node);
GLOBAL Node *InitializerFirstItem(Node *node);
GLOBAL List *InitializerExprs(Node *node);
GLOBAL Bool InitializerEmptyList(Node *node);
GLOBAL void InitializerNext(Node *node);
GLOBAL Node *InitializerAppendItem(Node *initializer, Node *element);
GLOBAL Node *ArraySubtype(Node *node);
GLOBAL int ArrayNumberElements(Node *node);
GLOBAL SUEtype *StructUnionFields(Node *node);
GLOBAL Node *UnionFirstField(Node *node);
GLOBAL Node *SUE_MatchInitList(SUEtype *sue, Node *decl, Node *initializer, Bool top_p);

#endif				/* _INITIALIZER_H_ */
